Get Monitor Details - API Reference
Returns monitor details.
The status field is either active or paused. A monitor is paused when a charge could not be collected from your balance — it stops checking for updates and stops delivering webhooks until you top up, at which point it resumes automatically. See Pricing.
Deleted monitors are not returned by this endpoint and respond with 404 instead.
GET https://api.socialdata.tools/monitors/{monitor_id}
Headers
Authorization string required
Authorization Bearer header containing your SocialData API key
Example: Bearer YOUR_API_KEY
Path Parameters
monitor_id string required
Target monitor ID
Example: 01jeg76qa91b095gttamsbwa6q
Code Examples
curl "https://api.socialdata.tools/monitors/01jeg76qa91b095gttamsbwa6q" \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Accept: application/json'const monitorId = '01jeg76qa91b095gttamsbwa6q';const API_KEY = 'YOUR_API_KEY_HERE';
fetch(`https://api.socialdata.tools/monitors/${monitorId}`, { method: 'GET', headers: { 'Authorization': `Bearer ${API_KEY}`, 'Accept': 'application/json' }}).then(response => response.json()).then(response => console.log(response)).catch(err => console.error(err));import requests
monitor_id = '01jeg76qa91b095gttamsbwa6q'API_KEY = 'YOUR_API_KEY_HERE'
url = f'https://api.socialdata.tools/monitors/{monitor_id}'
headers = { 'Authorization': f'Bearer {API_KEY}', 'Accept': 'application/json'}
response = requests.get(url, headers=headers)
if response.status_code == 200: data = response.json() print(data)else: print(f"Error: {response.status_code}") print(response.text)$monitor_id = '01jeg76qa91b095gttamsbwa6q';$API_KEY = 'YOUR_API_KEY_HERE';
$url = "https://api.socialdata.tools/monitors/{$monitor_id}";
$ch = curl_init();
curl_setopt_array($ch, [ CURLOPT_URL => $url, CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => [ "Authorization: Bearer $API_KEY", "Accept: application/json" ]]);
$response = curl_exec($ch);$data = json_decode($response, true);print_r($data);
curl_close($ch);Example Responses
{ "status": "success", "data": { "id": "01jkf3zgfwt8gnpgevxf9w6h58", "created_at": "2025-02-07T02:31:47.000000Z", "monitor_type": "user_following", "status": "active", "webhook_url": null, "parameters": { "user_screen_name": "elonmusk", "user_name": "Elon Musk", "user_id_str": "44196397" } }}{ "status": "error", "message": "Not found"}Response Codes
- 200 OK - request succeeded
- 404 Not Found - requested monitor does not exist
- 500 Internal Error - API internal error, typically means that SocialData API failed to obtain the requested information and you should try again later